/*
	Twilight Prophecy SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2002 Twilight 3D Finland Oy Ltd.
*/
#ifndef PRCORE_INCLUDE_HPP
#define PRCORE_INCLUDE_HPP


#include <prcore/configure.hpp>
#include <prcore/version.hpp>
#include <prcore/endian.hpp>
#include <prcore/integer.hpp>
#include <prcore/float754.hpp>
#include <prcore/array.hpp>
#include <prcore/linkedlist.hpp>
#include <prcore/string.hpp>
#include <prcore/exception.hpp>
#include <prcore/refcount.hpp>
#include <prcore/stream.hpp>
#include <prcore/filename.hpp>
#include <prcore/filestream.hpp>
#include <prcore/memorystream.hpp>
#include <prcore/color32.hpp>
#include <prcore/pixelformat.hpp>
#include <prcore/rect.hpp>
#include <prcore/surface.hpp>
#include <prcore/bitmap.hpp>
#include <prcore/mipmap.hpp>
#include <prcore/alphablend.hpp>
#include <prcore/codec.hpp>
#include <prcore/cpu.hpp>
#include <prcore/timer.hpp>
#include <prcore/plugin.hpp>
#include <prcore/window.hpp>
#include <prcore/opengl.hpp>
#include <prcore/framebuffer.hpp>
#include <prcore/inputdevice.hpp>
#include <prcore/keyboard.hpp>
#include <prcore/joystick.hpp>
#include <prcore/mouse.hpp>


#endif
