/*
	Twilight Prophecy SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2002 Twilight 3D Finland Oy Ltd.
*/
/*
	NEVER include this header manually, included by system when needed.
*/


// user entrypoint
extern void prattach();
extern void prdetach();


// system entrypoint
BOOL WINAPI DllMain(HINSTANCE hinstance, DWORD reason, LPVOID reserved)
{
	switch( reason )
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
			prattach();
			break;

		case DLL_PROCESS_DETACH:
		case DLL_THREAD_DETACH:
			prdetach();
			break;

		default:
			break;
	}
	return TRUE;
}

