/*
	Twilight Prophecy SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2002 Twilight 3D Finland Oy Ltd.
*/
#ifndef PRMATH_INCLUDE_HPP
#define PRMATH_INCLUDE_HPP


#include <prmath/typename.hpp>
#include <prmath/euler.hpp>
#include <prmath/vector2.hpp>
#include <prmath/vector3.hpp>
#include <prmath/vector4.hpp>
#include <prmath/plane.hpp>
#include <prmath/matrix4x4.hpp>
#include <prmath/quaternion.hpp>
#include <prmath/box.hpp>
#include <prmath/line.hpp>
#include <prmath/cone.hpp>
#include <prmath/sphere.hpp>
#include <prmath/intersect.hpp>
#include <prmath/spline.hpp>


#endif
