/*
	Twilight Prophecy SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2002 Twilight 3D Finland Oy Ltd.
*/
#ifndef PRMATH_LINE_HPP
#define PRMATH_LINE_HPP


namespace prmath
{
	
	struct Line
	{
		Vector3		origin;
		Vector3		direction;
		
		Line() {}
		Line(const Vector3& a, const Vector3& b);
	};
	
	
	// inline methods

	inline Line::Line(const Vector3& a, const Vector3& b)
	: origin(a), direction(b-a)
	{
	}
	
} // namespace prmath


#endif
